Skip to main content
GET
/
v5
/
taxes
/
taxPayment
Get a tax payment
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/taxes/taxPayment \
  --header 'Authorization: Bearer <token>'
{
  "region": "FED",
  "period": "Q1",
  "year": 2020,
  "amount": 50.01,
  "bankAccountId": 123,
  "id": 123,
  "status": "ACTIVE",
  "reviewStatus": "PARTNER_REVIEW_REQUIRED",
  "userAccess": "NONE",
  "accountantAccess": "NONE",
  "type": "CONFIRMED",
  "date": "2021-01-04",
  "description": "Online Banking payment",
  "bankDescription": "<string>",
  "apiAccountNo": "<string>",
  "apiAccountName": "Citi Premier® Card",
  "apiInstitutionId": "<string>",
  "customData": {},
  "v6EntityId": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
integer<int64>
required

Id of the specific tax payment

Response

200 - application/json

Successful operation

region
enum<string>
required

Tax region of payment

Available options:
FED,
STATE
Example:

"FED"

period
enum<string>
required

Period of the payment

Available options:
Q1,
Q2,
Q3,
Q4
Example:

"Q1"

year
integer<int32>
required

Year for which tax payment was made

Example:

2020

amount
number
required

Total amount of the tax payment

Example:

50.01

bankAccountId
integer<int64>
required

id of the user's bank account

id
integer<int64>

Id of the tax payment, required when updating an existing tax payment

status
enum<string>

Status of the tax payment

Available options:
ACTIVE,
INACTIVE
reviewStatus
enum<string>

Review status of the tax payment

Available options:
PARTNER_REVIEW_REQUIRED,
USER_REVIEW_REQUIRED,
ACCOUNTANT_REVIEW_REQUIRED,
RECONCILIATION_STAGED,
RECONCILED,
RECONCILIATION_DISCREPANCY,
ADJUSTMENT_USER_REVIEW_REQUIRED,
ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED,
ADJUSTMENT_RECONCILIATION_STAGED
userAccess
enum<string>

Access level for the user. This field uses the default configuration for the Partner; however, it can be overridden to manipulate how a user can interact with this tax payment.

Available options:
NONE,
READ_ONLY,
READ_WRITE
accountantAccess
enum<string>

Access level for the accountant. This field uses the default configuration for the Partner; however, it can be overridden to manipulate how an accountant can interact with this tax payment.

Available options:
NONE,
READ_ONLY,
READ_WRITE
type
enum<string>

Type of the tax payment

Available options:
CONFIRMED,
PENDING
date
string<date>

Date of the tax payment

Example:

"2021-01-04"

description
string

Description of the tax payment

Example:

"Online Banking payment"

bankDescription
string

Transaction description, similar to what will show on the user's bank statement

apiAccountNo
string

Mask of the user's bank account, often the last 4 digits of the account number

apiAccountName
string

Display name for the bank account from which this tax payment originated

Example:

"Citi Premier® Card"

apiInstitutionId
string

Name or id of the institution from which the transaction originated

customData
object

Custom JSON in which you can store any data with max length of 2000 characters

v6EntityId
string

Entity id on the v6 API for this tax payment